Skip to content
English

Get list of currently running tasks

GET
/tasq/tasks
curl --request GET \
--url 'https://example.com/api/v1/tasq/tasks?limit=50' \
--cookie grommunioAuthJwt=<grommunioAuthJwt>
sort
string
/^(ID|command|state|created|updated|message)(,(a|de)sc)?$/

Sort by attribute. Can be given multiple times.

ID
Array<integer>

Filter one or more IDs

level
integer

Set detail level of return value. Usually ranges from 0 to 2.

limit
integer
default: 50

Maximum number of results to return

match
string

Match by substring

matchFields
string

Comma separated list of attributes to restrict matching to.

command
string

Filter by command

message
string

Filter by message

updated
string

Filter by last update time

created
string

Filter by create date

List of tasks returned

Media typeapplication/json
object
data
Array<object>
object
ID

Unique ID of the object

integer
command

Task command

string
state

Task state (0=Queued, 1=Loaded, 2=Running, 3=Completed, 4=Error, 5=Cancelled)

integer
Allowed values: 0 1 2 3 4 5
created

Date string with time

string
nullable /^\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2}$/
updated

Date string with time

string
nullable /^\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2}$/
message

Status message

string
params

Task specific parameters

object
Example
{
"data": [
{
"state": 0
}
]
}

Validation of input parameters failed

Media typeapplication/json
object
message
string
errors

List of errors encountered during validation

Array<string>
Examplegenerated
{
"message": "example",
"errors": [
"example"
]
}

An error occurred while processing the request

Media typeapplication/json
object
message

String representation of the exception

string
Examplegenerated
{
"message": "example"
}

The database query failed

Media typeapplication/json
object
message

Description of the error

string
Examplegenerated
{
"message": "example"
}